## gsmartcontrol 0.8.6

=== debian/changelog ===
gsmartcontrol (0.8.6-1ubuntu1) precise; urgency=low

  * d/patches/glib.2.31.patch: Fixed compilation under Glib 2.31.x.
    Patch from Upstream, Alexander Shaduri (LP: #935155)

 -- Andreas Moog <amoog@ubuntu.com>  Sun, 19 Feb 2012 20:42:50 +0100

gsmartcontrol (0.8.6-1) unstable; urgency=low

  * [dbb993d] Updated my email address and removed DM-Upload-Allowed
    control field
  * [b681b5b] Imported Upstream version 0.8.6
  * [ab9bb7a] Refreshed patches
  * [a909506] Bump to Standards-Version 3.9.2, no changes needed
  * [48dd13d] Switch to dpkg-source 3.0 (quilt) format

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 15 Jul 2011 14:59:29 +0200

gsmartcontrol (0.8.5-2) unstable; urgency=low

  * [8240961] Add menu in Depends (Closes: #548232) (LP: #438394)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Tue, 29 Sep 2009 23:04:43 +0200

gsmartcontrol (0.8.5-1) unstable; urgency=low

  * [7f4b7f6] Imported Upstream version 0.8.5
  * [51d2a10] Refreshed patches
  * [8c6daef] Updated to Standards-Version 3.8.3 (no changes needed)
  * [30bc489] Added a README.source

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Tue, 15 Sep 2009 09:52:00 +0200

gsmartcontrol (0.8.4-2) unstable; urgency=low

  * [d6e1ccc] debian/patches/03_gcc4.4.patch: Added a missing include
    and fix FTBFS with GCC 4.4 (Closes: #525734)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Mon, 11 May 2009 12:43:43 +0200

gsmartcontrol (0.8.4-1) unstable; urgency=low

  * [56eb25b] Fix a typo in the previous changeleg entry
  * [74046f6] New Upstream Version 0.8.4
  * [8fdb261] debian/patches/03_blacklist_md_devices.patch: Removed
  * [bdbe2af] debian/rules: Do not install debian/gsmartcontrol.1, now
    it is in upstream
  * [62c0daa] Updated watch file
  * [bc779d0] debian/rules: use dh_auto_configure
  * [07120d7] Updated to standards version 3.8.1 (No changes needed)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Thu, 26 Mar 2009 23:18:40 +0100

gsmartcontrol (0.8.3-3) unstable; urgency=low

  * [7468f7c] debian/control: Fix Vcs-Browser field
  * [5c94558] debian/gsmartcontrol.1: gsmartcontrol supports quite a
    number of options, added to manpage. Thanks Alexander Shaduri
  * [f8e620b] debian/gsmartcontrol-root: The gsmartcontrol-root script
    was incompatible with the original one, which uses the first
    argument for desktop selection. Fixed, thanks Alexander Shaduri
  * [10861d9] debian/copyright: gsmartcontrol is released under either
    GPL 2 or GPL 3 but not any other version, so point to both of the
    specific versions of the GPL that the package license references and
    fix copyright-refers-to-versionless-license-file lintian warning.

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Wed, 04 Feb 2009 12:18:06 +0100

gsmartcontrol (0.8.3-2) unstable; urgency=low

  * [2cc4a61] debian/rules: Do not use --enable-optimize-options in
    configure, and fix FTBFS

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sun, 01 Feb 2009 12:13:20 +0100

gsmartcontrol (0.8.3-1) unstable; urgency=low

  * Initial release (Closes: #508512)
  * debian/patches/01_use_su-to-root.patch: use su-to-root instead of upstream
    gsmartcontrol-root script
  * debian/patches/02_fix_doc_install.patch: Do not install doc and license
    files
  * debian/patches/03_blacklist_md_devices.patch: do not scan /dev/md[0-9]
    devices

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Mon, 29 Dec 2008 09:57:37 +0100
