=== debian/control ===
Source: gsmartcontrol
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Build-Depends: quilt, debhelper (>= 7), autotools-dev, libpcre3-dev, libgtkmm-2.4-dev (>= 2.6.0), libglademm-2.4-dev
Standards-Version: 3.9.2
Homepage: http://gsmartcontrol.berlios.de
Vcs-Git: git://git.debian.org/git/users/derevko-guest/gsmartcontrol.git
Vcs-Browser: http://git.debian.org/?p=users/derevko-guest/gsmartcontrol.git

Package: gsmartcontrol
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, smartmontools, menu
Description: graphical user interface for smartctl
 GSmartControl is a graphical user interface for smartctl, which is a tool for
 querying and controlling SMART (Self-Monitoring, Analysis, and Reporting
 Technology) data on modern hard disk drives. It allows you to inspect the
 drive's SMART data to determine its health, as well as run various tests on it.
 .
 Features:
 .
  * automatically reports and highlights any anomalies;
  * allows enabling/disabling Automatic Offline Data Collection;
  * allows enabling/disabling SMART itself;
  * supports configuration of global and per-drive options for smartctl;
  * performs SMART self-tests;
  * displays drive IDs, capabilities, attributes, and self-test/error logs;
  * can read in smartctl data from a saved file, interpreting it as a read-only
    virtual device.
