=== debian/watch ===
version=3
http://download.berlios.de/gsmartcontrol/gsmartcontrol-(.*)\.tar\.bz2
