## gsmartcontrol 0.8.7

=== debian/changelog ===
gsmartcontrol (0.8.7-1.1ubuntu2) wily; urgency=medium

  * No-change rebuild against libatkmm-1.6-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 18:19:12 +0000

gsmartcontrol (0.8.7-1.1ubuntu1) vivid; urgency=medium

  * Merge from debian. Remaining changes:
    - Add 05_fix_ATA_version.patch. Correctly report the ATA/SATA version

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 26 Oct 2014 15:41:58 +1100

gsmartcontrol (0.8.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Handle empty sections in recent versions of smartmontools; thanks to
    Francesco Presel for the patch. Closes: #722989.

 -- Stephen Kitt <skitt@debian.org>  Fri, 12 Sep 2014 08:40:12 +0200

gsmartcontrol (0.8.7-1ubuntu1) utopic; urgency=medium

  * Add 04_compat_with_smartmontools_6.patch. Fixes a crash at
    startup. LP: #1231229
  * Add 05_fix_ATA_version.patch. Correctly report the ATA/SATA version
    LP: #1310282

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 09 Jun 2014 19:37:24 +1000

gsmartcontrol (0.8.7-1) unstable; urgency=low

  * [314881d] Updated debian/watch
  * [18ebada] Imported Upstream version 0.8.7
  * [c2a1f1b] debian/rules: Provide build-arch and build-indep
  * [d3036a4] Enabled Hardening Options
  * [2edfb87] Refreshed patches and removed patches apllied upstream
  * [ac3b953] Bump to standard versions 3.9.4
  * [292c276] Remove quilt from depends

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 31 May 2013 11:41:52 +0200

gsmartcontrol (0.8.6-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch 05_gcc-4.7.patch from Paul Tagliamonte
    (adds this-> qualifier).
    Closes: #667194

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Apr 2012 14:32:59 +0200

gsmartcontrol (0.8.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with glib 2.32": add patch 04_glib2.31.patch from Alexander
    Shaduri. (Closes: #665677, LP: #935155

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 Apr 2012 14:19:47 +0200
