=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Giuseppe Iuculano <iuculano@debian.org>
-Build-Depends: quilt, debhelper (>= 7), autotools-dev, libpcre3-dev, libgtkmm-2.4-dev (>= 2.6.0), libglademm-2.4-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7), autotools-dev, libpcre3-dev, libgtkmm-2.4-dev (>= 2.6.0), libglademm-2.4-dev, hardening-wrapper
+Standards-Version: 3.9.4
 Homepage: http://gsmartcontrol.berlios.de
 Vcs-Git: git://git.debian.org/git/users/derevko-guest/gsmartcontrol.git
 Vcs-Browser: http://git.debian.org/?p=users/derevko-guest/gsmartcontrol.git
