=== debian/watch ===
version=3
http://sf.net/gsmartcontrol.berlios/gsmartcontrol-(.+)\.(?:tar\.gz|tar\.bz2)
