## gsmartcontrol 1.0.1

=== debian/changelog ===
gsmartcontrol (1.0.1-1) unstable; urgency=medium

  * New upstream release. Closes: #864538. Obsoletes
    compat_with_smartmontools_6.patch and 05_fix_ATA_version.patch.
  * Use dh-autoreconf and stop patching Makefile.in.
  * Adopt the package; thanks to Giuseppe for maintaining it previously!
    Closes: #866834.
  * Update watch file.
  * Clean up debian/control with cme.
  * Drop the old menu support.
  * Drop obsolete README.source.
  * Clean up SUBDIRS declarations to allow building twice in a row.
  * Rewrite debian/copyright.
  * Standards-Version 4.0.0, no further change required.
  * Move the repository to collab-maint.

 -- Stephen Kitt <skitt@debian.org>  Mon, 10 Jul 2017 21:22:30 +0200

gsmartcontrol (0.8.7-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use DEB_BUILD_MAINT_OPTIONS with short-form dh instead of
    hardening-wrapper. Closes: #836628.
  * Update the homepage. Closes: #769580.
  * Pull in 05_fix_ATA_version.patch from Ubuntu (thanks to Bart P.). LP:
    #1310282.

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Sep 2016 13:42:12 +0200
