=== debian/control ===
--- 
+++ 
@@ -1,17 +1,21 @@
 Source: gsmartcontrol
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Giuseppe Iuculano <iuculano@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, libpcre3-dev, libgtkmm-2.4-dev (>= 2.6.0), libglademm-2.4-dev, hardening-wrapper
-Standards-Version: 3.9.4
-Homepage: http://gsmartcontrol.berlios.de
-Vcs-Git: git://git.debian.org/git/users/derevko-guest/gsmartcontrol.git
-Vcs-Browser: http://git.debian.org/?p=users/derevko-guest/gsmartcontrol.git
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               libpcre3-dev,
+               libgtkmm-3.0-dev
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gsmartcontrol.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/gsmartcontrol.git
+Homepage: http://gsmartcontrol.sourceforge.net/home/
 
 Package: gsmartcontrol
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, smartmontools, menu
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         smartmontools
 Description: graphical user interface for smartctl
  GSmartControl is a graphical user interface for smartctl, which is a tool for
  querying and controlling SMART (Self-Monitoring, Analysis, and Reporting
