## gsmartcontrol 1.0.2

=== debian/changelog ===
gsmartcontrol (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Handle Finnish separators; thanks to Aapo Rantalainen for the patch!
    LP: #1463108.
  * Fix a spelling mistake and override a Lintian spelling false-
    positive.

 -- Stephen Kitt <skitt@debian.org>  Mon, 21 Aug 2017 09:42:52 +0200

gsmartcontrol (1.0.1-2) unstable; urgency=medium

  * The dependency on menu is needed for su-to-root, restore it.
  * Acknowledge the 0.8.7-1.2 NMU. Closes: #837546.
  * Fix quoting in gsmartcontrol-root. Closes: #723973.

 -- Stephen Kitt <skitt@debian.org>  Mon, 10 Jul 2017 21:47:49 +0200
