=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         menu,
          smartmontools
 Description: graphical user interface for smartctl
  GSmartControl is a graphical user interface for smartctl, which is a tool for
