## gsmartcontrol 1.1.1

=== debian/changelog ===
gsmartcontrol (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Oct 2017 20:32:15 +0200

gsmartcontrol (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * The “Perform Tests” tab has been merged with the “Self-Tests” tab, and
    vertical space is used appropriately (at least, if there are test
    results). Closes: #641564.
  * Upstream gsmartcontrol-root now supports pkexec, use that instead of
    our su-to-root-based script. LP: #1713311.
  * Stop shipping TODO, it’s not much use for end-users.
  * Switch to debhelper compatibility level 10.
  * Standards-Version 4.1.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 11 Sep 2017 09:22:25 +0200
