=== debian/control ===
--- 
+++ 
@@ -2,21 +2,19 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: extra
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                libpcre3-dev,
                libgtkmm-3.0-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gsmartcontrol.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/gsmartcontrol.git
-Homepage: http://gsmartcontrol.sourceforge.net/home/
+Homepage: https://gsmartcontrol.sourceforge.io/
 
 Package: gsmartcontrol
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         menu,
-         smartmontools
+         smartmontools (>= 5.43)
 Description: graphical user interface for smartctl
  GSmartControl is a graphical user interface for smartctl, which is a tool for
  querying and controlling SMART (Self-Monitoring, Analysis, and Reporting
