## gsmartcontrol 1.1.3

=== debian/changelog ===
gsmartcontrol (1.1.3-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:43:08 +0100

gsmartcontrol (1.1.3-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Update spelling fixes.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 07 May 2018 09:23:22 +0200

gsmartcontrol (1.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Move to Priority “optional”.
  * Standards-Version 4.1.1, no further change required.
  * Enable building without fakeroot.

 -- Stephen Kitt <skitt@debian.org>  Thu, 16 Nov 2017 09:10:59 +0100
