=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: gsmartcontrol
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
-Priority: extra
-Build-Depends: debhelper (>= 10),
+Priority: optional
+Build-Depends: debhelper (>= 11~),
                libpcre3-dev,
                libgtkmm-3.0-dev
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gsmartcontrol.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/gsmartcontrol.git
+Standards-Version: 4.1.4
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/gsmartcontrol
+Vcs-Git: https://salsa.debian.org/debian/gsmartcontrol.git
 Homepage: https://gsmartcontrol.sourceforge.io/
 
 Package: gsmartcontrol
