## gsmartcontrol 1.1.4

=== debian/changelog ===
gsmartcontrol (1.1.4-1) unstable; urgency=medium

  * New upstream release, merging c2-separator.patch, spelling-
    fixes.patch, and fix-segfault-on-start.patch.

 -- Stephen Kitt <skitt@debian.org>  Sun, 13 Feb 2022 16:23:15 +0100

gsmartcontrol (1.1.3-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Archive, Repository.
  * Update standards version to 4.1.5, no changes needed.
  * Remove constraints unnecessary since buster:
    + gsmartcontrol: Drop versioned constraint on smartmontools in Depends.

  [ Stephen Kitt ]
  * Apply upstream fix to avoid segfaulting during device scans.
    Closes: #942427.
  * Update the homepage and watch URIs.
  * Switch to debhelper compatibility level 13.
  * Drop obsolete Lintian override.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 28 Jan 2022 14:05:07 +0100
