=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                libpcre3-dev,
                libgtkmm-3.0-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/gsmartcontrol
 Vcs-Git: https://salsa.debian.org/debian/gsmartcontrol.git
@@ -15,7 +15,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         smartmontools (>= 5.43)
+         smartmontools
 Description: graphical user interface for smartctl
  GSmartControl is a graphical user interface for smartctl, which is a tool for
  querying and controlling SMART (Self-Monitoring, Analysis, and Reporting
