## gsmartcontrol 1.1.4+git20240531.25f1c62

=== debian/changelog ===
gsmartcontrol (1.1.4+git20240531.25f1c62-2) unstable; urgency=medium

  * Add the package name to file paths, so gsmartcontrol can start on
    more systems than mine! Closes: #1072624.

 -- Stephen Kitt <skitt@debian.org>  Wed, 05 Jun 2024 19:52:18 +0200

gsmartcontrol (1.1.4+git20240531.25f1c62-1) unstable; urgency=medium

  * New upstream snapshot, no longer dependent on pcre3. Closes:
    #1000074.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 05 Jun 2024 08:07:40 +0200
