=== debian/changelog ===
gsmartcontrol (2.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 Jan 2025 10:05:15 +0100

gsmartcontrol (2.0.0-1) unstable; urgency=medium

  * New upstream release, merging icon-ui-paths.patch. Closes: #1087224.
  * Track tags instead of releases in debian/watch. Closes: #1087223.

 -- Stephen Kitt <skitt@debian.org>  Sun, 17 Nov 2024 16:48:50 +0100
