=== debian/control ===
--- 
+++ 
@@ -2,10 +2,14 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               libpcre3-dev,
-               libgtkmm-3.0-dev
-Standards-Version: 4.6.0
+Build-Depends: catch2,
+               cmake,
+               debhelper-compat (= 13),
+               libexpected-dev,
+               libgtkmm-3.0-dev,
+               libwhereami-dev,
+               nlohmann-json3-dev
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/gsmartcontrol
 Vcs-Git: https://salsa.debian.org/debian/gsmartcontrol.git
