=== src/applib/CMakeLists.txt ===
--- 
+++ 
@@ -84,6 +84,7 @@
 		rconfig
 		app_gtkmm_interface
 		app_gettext_interface
+		fmt
 		build_config
 )
