=== debian/changelog ===
gsmartcontrol (2.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 03 Mar 2025 21:46:29 +0100
