=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
                cmake,
                debhelper-compat (= 13),
                libexpected-dev,
+               libfmt-dev,
                libgtkmm-3.0-dev,
                libwhereami-dev,
                nlohmann-json3-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/gsmartcontrol
 Vcs-Git: https://salsa.debian.org/debian/gsmartcontrol.git
